Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.xml.domain.impl
Class Request

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.Request

    public class Request

extends java.lang.Object

Field Summary
`static java.lang.String` | `OPERATION_CHECK_DEPENDS`
`static java.lang.String` | `OPERATION_GET`
`static java.lang.String` | `OPERATION_LIST`
`static java.lang.String` | `OPERATION_LOGIN`
`static java.lang.String` | `OPERATION_PUT`
`static java.lang.String` | `OPERATION_RUN_REPORT`

Constructor Summary
`Request()` Creates a new instance of Request

Method Summary
`java.util.List` | `getArguments()`
`java.lang.String` | `getLocale()`
`java.lang.String` | `getOperationName()`
`ResourceDescriptor` | `getResourceDescriptor()`
`void` | `setArguments(java.util.List arguments)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setOperationName(java.lang.String operationName)`
`void` | `setResourceDescriptor(ResourceDescriptor resourceDescriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPERATION_RUN_REPORT

    public static final java.lang.String OPERATION_RUN_REPORT

See Also:
  Constant Field Values

### OPERATION_LIST

    public static final java.lang.String OPERATION_LIST

See Also:
  Constant Field Values

### OPERATION_PUT

    public static final java.lang.String OPERATION_PUT

See Also:
  Constant Field Values

### OPERATION_GET

    public static final java.lang.String OPERATION_GET

See Also:
  Constant Field Values

### OPERATION_LOGIN

    public static final java.lang.String OPERATION_LOGIN

See Also:
  Constant Field Values

### OPERATION_CHECK_DEPENDS

    public static final java.lang.String OPERATION_CHECK_DEPENDS

See Also:
  Constant Field Values

Constructor Detail

### Request

    public Request()

  Creates a new instance of Request

Method Detail

### getArguments

    public java.util.List getArguments()

### setArguments

    public void setArguments(java.util.List arguments)

### getOperationName

    public java.lang.String getOperationName()

### setOperationName

    public void setOperationName(java.lang.String operationName)

### getResourceDescriptor

    public ResourceDescriptor getResourceDescriptor()

### setResourceDescriptor

    public void setResourceDescriptor(ResourceDescriptor resourceDescriptor)

### getLocale

    public java.lang.String getLocale()

### setLocale

    public void setLocale(java.lang.String locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.